## pass-extension-tail 1.2.0

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?=
LIBDIR ?= $(PREFIX)/lib
SYSTEM_EXTENSION_DIR ?= $(LIBDIR)/password-store/extensions
MANDIR ?= $(PREFIX)/share/man
BASHCOMPDIR ?= /etc/bash_completion.d

all:
	@echo "pass-tail is a shell script and does not need compilation, it can be simply executed."
	@echo ""
	@echo "To install it try \"make install\" instead."
	@echo
	@echo "To run pass tail one needs to have some tools installed on the system:"
	@echo "     password store"
	@echo "     tail"

install:
	@install -v -d "$(DESTDIR)$(MANDIR)/man1"
	@install -v -m 0644 man/pass-extension-tail.1 "$(DESTDIR)$(MANDIR)/man1/pass-tail.1"
	@install -v -d "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/"
	@install -v -m0755 src/tail.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/tail.bash"
	@install -v -m0755 src/tailedit.bash "$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/tailedit.bash"
	@install -v -d "$(DESTDIR)$(BASHCOMPDIR)/"
	@install -v -m 644 completion/pass-tail.bash.completion  "$(DESTDIR)$(BASHCOMPDIR)/pass-tail"
	@echo
	@echo "pass-tail is installed succesfully"
	@echo

uninstall:
	@rm -vrf \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/tail.bash" \
		"$(DESTDIR)$(SYSTEM_EXTENSION_DIR)/tailedit.bash" \
		"$(DESTDIR)$(MANDIR)/man1/pass-tail.1" \
		"$(DESTDIR)$(BASHCOMPDIR)/pass-tail"

lint:
	shellcheck -s bash src/tail.bash
	shellcheck -s bash src/tailedit.bash

.PHONY: install uninstall lint

## pass-extension-tail 1.1.0

=== debian/changelog ===
pass-extension-tail (1.1.0-1) unstable; urgency=low

  * New upstream version (Closes: #858235)
  * Upload the man page to upstream

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Thu, 04 May 2017 00:32:36 +0800

pass-extension-tail (1.0.0-1) UNRELEASED; urgency=low

  * Initial release

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Sun, 16 Apr 2017 23:00:30 +0800

=== debian/control ===
Source: pass-extension-tail
Maintainer: Gavin Lai (賴建宇) <gavin09@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10)
Homepage: https://github.com/palortoff/pass-extension-tail
Vcs-Git: https://anonscm.debian.org/git/collab-maint/pass-extension-tail.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pass-extension-tail.git

Package: pass-extension-tail
Architecture: all
Depends: ${misc:Depends}, pass (>= 1.7.0), gnupg2 | gnupg, bash ( >= 4.0.0)
Description: password-store extension to avoid printing the password
 An extension for the password store that allows users to display and
 edit password meta data without displaying the password itself to
 bystanders

## pass-extension-tail 1.1.1

=== debian/changelog ===
pass-extension-tail (1.1.1-2) unstable; urgency=medium

  [ Gavin Lai (賴建宇) ]
  * d/control: Update VCS to salsa
               Bump version to 4.1.4.1
               Bump debhelper to 11

  [ SZ Lin (林上智) ]
  * d/control: Bump version to 4.1.5
  * d/compat: Bump debhelper to 11
  * d/copyright: Fix insecure-copyright-format-uri warning
  * Converting git-dpm to gbp pq
  * Refresh patches after git-dpm to gbp pq conversion

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 19 Jul 2018 13:36:39 +0800

pass-extension-tail (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Wed, 01 Nov 2017 23:04:34 +0800

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: SZ Lin (林上智) <szlin@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11)
 Homepage: https://github.com/palortoff/pass-extension-tail
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pass-extension-tail.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/pass-extension-tail.git
+Vcs-Git: https://salsa.debian.org/debian/pass-extension-tail.git
+Vcs-Browser: https://salsa.debian.org/debian/pass-extension-tail
 
 Package: pass-extension-tail
 Architecture: all

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/palortoff/pass-extension-tail/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## pass-extension-tail 1.2.0

=== debian/changelog ===
pass-extension-tail (1.2.0-1) unstable; urgency=medium

  [ SZ Lin (林上智) ]
  * Import new upstream version
  * Add upstream metadata
  * d/control:
    - Bump Standards-Version to 4.2.1

  [ Gavin Lai (賴建宇) ]
  * Add d/gitlab-ci.yml
  * Remove d/pass-extension-tail.manpages
  * d/watch:
    - Update URL
  * d/upstream/metadata:
    - Follow DEP12
    - Update information
  * d/control:
    - Update debhelper-compat version to 13
    - Set Rules-Requires-Root to no
    - Remove the transitional package - gnupg2 (Closes: #1055406)
    - Bump Standards-Version to 4.6.2
  * d/rules:
    - Pass proper bash completion directory

 -- Gavin Lai (賴建宇) <gavin09@gmail.com>  Wed, 22 Nov 2023 00:10:08 +0800

=== debian/control ===
Source: pass-extension-tail
Maintainer: Gavin Lai (賴建宇) <gavin09@gmail.com>
Uploaders: SZ Lin (林上智) <szlin@debian.org>
Section: admin
Priority: optional
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://github.com/palortoff/pass-extension-tail
Vcs-Git: https://salsa.debian.org/debian/pass-extension-tail.git
Vcs-Browser: https://salsa.debian.org/debian/pass-extension-tail

Package: pass-extension-tail
Architecture: all
Depends: ${misc:Depends}, pass (>= 1.7.0), gnupg, bash ( >= 4.0.0)
Description: password-store extension to avoid printing the password
 An extension for the password store that allows users to display and
 edit password meta data without displaying the password itself to
 bystanders

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- BASHCOMPDIR=/usr/share/bash-completion/completions

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%pass-extension-tail-$1.tar.gz%" \
   https://github.com/palortoff/pass-extension-tail/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
